---
title: llarp::ConfigGenParameters
summary: Small struct to gather all parameters needed for config generation to reduce the number of parameters that need to be passed around. 

---

# llarp::ConfigGenParameters



Small struct to gather all parameters needed for config generation to reduce the number of parameters that need to be passed around. 


`#include <config.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md#function-configgenparameters)**() =default |
| virtual | **[~ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md#function-~configgenparameters)**() =default |
| | **[ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md#function-configgenparameters)**(const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & ) =delete |
| | **[ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md#function-configgenparameters)**([ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) && ) =delete |
| virtual const [llarp::net::Platform](Classes/classllarp_1_1net_1_1Platform.md) * | **[Net_ptr](Classes/structllarp_1_1ConfigGenParameters.md#function-net-ptr)**() const =0<br>get network platform (virtual for unit test mocks)  |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| bool | **[isRelay](Classes/structllarp_1_1ConfigGenParameters.md#variable-isrelay)**  |
| fs::path | **[defaultDataDir](Classes/structllarp_1_1ConfigGenParameters.md#variable-defaultdatadir)**  |

## Public Functions Documentation

### function ConfigGenParameters

```cpp
ConfigGenParameters() =default
```


### function ~ConfigGenParameters

```cpp
virtual ~ConfigGenParameters() =default
```


### function ConfigGenParameters

```cpp
ConfigGenParameters(
    const ConfigGenParameters & 
) =delete
```


### function ConfigGenParameters

```cpp
ConfigGenParameters(
    ConfigGenParameters && 
) =delete
```


### function Net_ptr

```cpp
virtual const llarp::net::Platform * Net_ptr() const =0
```

get network platform (virtual for unit test mocks) 

## Public Attributes Documentation

### variable isRelay

```cpp
bool isRelay = false;
```


### variable defaultDataDir

```cpp
fs::path defaultDataDir;
```


-------------------------------

Updated on 2023-02-01 at 20:39:32 +0000